package com.bocloud.ims.entity.resource.azure.automation;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AutomationAccount
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/10 13:48
 */
public class AutomationAccount {

    private String name;

    private String uuid;

    private Long vendorId; // 平台id

    private String regionId;//地域

    private Long resourceGroupId;//资源组id

    //
    private String logAnalyticName;

    private String logAnalyticUuid;

    private String resourceGroupName;

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getResourceGroupId() {
        return resourceGroupId;
    }

    public void setResourceGroupId(Long resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
    }

    public String getLogAnalyticName() {
        return logAnalyticName;
    }

    public void setLogAnalyticName(String logAnalyticName) {
        this.logAnalyticName = logAnalyticName;
    }

    public String getLogAnalyticUuid() {
        return logAnalyticUuid;
    }

    public void setLogAnalyticUuid(String logAnalyticUuid) {
        this.logAnalyticUuid = logAnalyticUuid;
    }
}